List Deployments
curl --request GET \
--url https://api.example.com/agents/{agent_id}/deploymentsimport requests
url = "https://api.example.com/agents/{agent_id}/deployments"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/agents/{agent_id}/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"agent_id": "<string>",
"docker_image": "<string>",
"status": "Pending",
"is_production": true,
"registration_metadata": {},
"acp_url": "<string>",
"sgp_deploy_id": "<string>",
"helm_release_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"promoted_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Deployments
List Deployments
List deployments for an agent, newest first.
GET
/
agents
/
{agent_id}
/
deployments
List Deployments
Path Parameters
Query Parameters
Limit
Required range:
x >= 1Page number
Required range:
x >= 1Field to order by
Order direction (asc or desc)
Response
Successful Response
The unique identifier of the deployment.
The agent this deployment belongs to.
Full Docker image URI.
Current deployment status.
Available options:
Pending, Ready, Failed Whether this is the production deployment.
Git/build metadata from the agent pod.
ACP URL set when agent registers.
Correlates to SGP's agentex_deploys.id.
Helm release name for cleanup.
When the deployment was created.
When promoted to production.
When marked for cleanup.

